Bug 799075 - Fix setting of bio flags
Fix setting of bio flags
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Jeff Moyer
Gris Ge
: ZStream
Depends On:
Blocks: 809377
  Show dependency treegraph
 
Reported: 2012-03-01 13:02 EST by Jeff Moyer
Modified: 2012-06-20 04:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-250.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Moyer 2012-03-01 13:02:36 EST
Description of problem:
The BIO_ definitions are meant to be ored into the bi_flags field like so:
bio->bi_flags |= (1<<BIO_*);
There are a couple of places in the upstream kernel that get this wrong, doing instead:
bio->bi_flags |= BIO_*;

In RHEL 6, there is only one such issue.  Note that in RHEL 6 we have convenience macros for discard flush and fua (BIO_DISCARD, BIO_FLUSH, BIO_FUA), which already do the bit shifting.

Initially reported upstream here:
http://groups.google.com/group/linux.kernel/browse_thread/thread/87487f9987731480/da7877b036bfac34?show_docid=da7877b036bfac34&pli=1


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2012-03-01 13:09:37 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 4 Aristeu Rozanski 2012-03-07 09:55:15 EST
Patch(es) available on kernel-2.6.32-250.el6
Comment 8 Gris Ge 2012-05-02 02:59:13 EDT
All storage-qe test show no issue for this bug in Beta testing.

VERIFY.
Comment 10 errata-xmlrpc 2012-06-20 04:32:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.